Package opennlp.tools.lemmatizer

# Class ThreadSafeLemmatizerME

java.lang.Object
opennlp.tools.lemmatizer.ThreadSafeLemmatizerME

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.lemmatizer.Lemmatizer`, `opennlp.tools.ml.Probabilistic`

@Deprecated(since="3.0.0") @ThreadSafe public class ThreadSafeLemmatizerME extends Object implements opennlp.tools.lemmatizer.Lemmatizer, opennlp.tools.ml.Probabilistic, AutoCloseable
Deprecated.
As of OPENNLP-1816, `LemmatizerME` is itself thread-safe. Use it directly instead.
A thread-safe version of the `LemmatizerME`. Using it is completely transparent. You can use it in a single-threaded context as well, it only incurs a minimal overhead.

Note: This class is deprecated and now delegates to a single shared `LemmatizerME` instance, which is thread-safe as of OPENNLP-1816. Calling `close()` clears the current thread's thread-local state for compatibility.

See Also:
  - `Lemmatizer`
  - `LemmatizerME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThreadSafeLemmatizerME(LemmatizerModel model)`
  Deprecated.
  Initializes a `ThreadSafeLemmatizerME` with the specified `model`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Deprecated.
  `String[]`
  `lemmatize(String[] toks, String[] tags)`
  Deprecated.
  `List<List<String>>`
  `lemmatize(List<String> toks, List<String> tags)`
  Deprecated.
  `double[]`
  `probs()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThreadSafeLemmatizerME

    public ThreadSafeLemmatizerME(LemmatizerModel model)
    Deprecated.
    Initializes a `ThreadSafeLemmatizerME` with the specified `model`.
    Parameters:
      `model` - A valid `LemmatizerModel`.

- ## Method Details

  - ### lemmatize

    public String[] lemmatize(String[] toks, String[] tags)
    Deprecated.
    Specified by:
      `lemmatize` in interface `opennlp.tools.lemmatizer.Lemmatizer`

  - ### lemmatize

    public List<List<String>> lemmatize(List<String> toks, List<String> tags)
    Deprecated.
    Specified by:
      `lemmatize` in interface `opennlp.tools.lemmatizer.Lemmatizer`

  - ### probs

    public double[] probs()
    Deprecated.
    Specified by:
      `probs` in interface `opennlp.tools.ml.Probabilistic`

  - ### close

    public void close()
    Deprecated.
    Specified by:
      `close` in interface `AutoCloseable`